installation problem

Asked by Tory on 2009-02-06

> i got this error during installation (# scons install):

scons: Reading SConscript files ...
scons: done reading SConscript files.
scons: Building targets ...
scons: *** Source `linuxdcpp' not found, needed by target `/usr/local/bin/linuxdcpp'. Stop.
scons: building terminated because of errors.

> would you please advise me what to do? Sorry if it's a stupid question, I'm a newbie in linux.Thank you.
> OS: OpenSUSE 10.2, compiling output:

scons: Reading SConscript files ...
Checking for g++ >= 3.4...(cached) yes
Checking for pkg-config... yes
Checking for gtk+-2.0 >= 2.10... yes
Checking for gthread-2.0 >= 2.4... yes
Checking for libglade-2.0 >= 2.4... yes
Checking for C header file time.h... yes
Checking for C header file signal.h... yes
Checking for C header file unistd.h... yes
Checking for main() in C library pthread... yes
Checking for main() in C library z... yes
Checking for main() in C library bz2... yes
Checking for main() in C library crypto... yes
Checking for main() in C library ssl... yes
Checking for C header file iconv.h... yes
Checking for iconv(0, (const char **)0, 0, (char**)0, 0) in C library iconv... no
Checking for C header file net/if.h... yes
<type 'exceptions.AttributeError'>: 'SConsEnvironment' object has no attribute 'Clone':
  File "SConstruct", line 218:
    SConscript('linux/SConstruct', exports='env', build_dir='build/gui', duplicate=0)])
  File "/usr/lib/python2.5/site-packages/SCons/Script/SConscript.py", line 557:
    return apply(method, args, kw)
  File "/usr/lib/python2.5/site-packages/SCons/Script/SConscript.py", line 494:
    return apply(_SConscript, [self.fs,] + files, {'exports' : exports})
  File "/usr/lib/python2.5/site-packages/SCons/Script/SConscript.py", line 226:
    exec _file_ in call_stack[-1].globals
  File "linux/SConstruct", line 26:
    env_gui = env.Clone()

Question information

Language:
English Edit question
Status:
Solved
For:
LinuxDC++ Edit question
Assignee:
No assignee Edit question
Solved by:
Steven Sheehy
Solved:
2009-02-07
Last query:
2009-02-07
Last reply:
2009-02-07
Best Steven Sheehy (steven-sheehy) said : #1

Ok, it seems like you tried to compile it and it failed, then you tried to install it. Since it never compiled and created the linuxdcpp executable, there's nothing to install. What version of Scons are you using (run scons -v)? The env.Clone() method was apparently added in 0.96.93, so yours needs to be later than that. As a workaround to get it to compile until you upgrade your SCons, you can edit the file "linux/SConstruct" to change this line:

env_gui = env.Clone()

to

env_gui = env

Hope this helps.

Tory (kockaskliba) said : #2

Thank you, it worked now.

btw - SCons (both engine and script) is ver.0.96.91.D001 (installed as http://download.opensuse.org/distribution/10.2/repo/oss/suse/i586/scons-0.96.91-37.i586.rpm )

Tory (kockaskliba) said : #3

Thanks Steven Sheehy, that solved my question.